[data-component-id="kackaamin:team_member_card"] {
  /* @todo Add your styles here. */
  background-color: var(--bg-tertiary);
  overflow: hidden;
  --content-height: 96px;
  position: relative;

  & img {
    aspect-ratio: 1 / 1;
    object-fit: cover;
    width: 100%;
  }

  & .card-content {
    height: 96px;
    align-content: center;
  }

  & .card-content-inner {
    display: flex;
    flex-direction: column;
    gap: 4px;
  }

  & .card-title {
    font-size: 20px;
    font-weight: bold;
    line-clamp: 1;
  }

  & .card-description {
    font-size: 14px;
    line-clamp: 1;
  }

  & .team-lead-card {
    position: absolute;
    top: 30px;
    border-radius: 8px 0;
    padding: 4px 8px;
    background: var(--color-driftwood);
    color: var(--color-black);
  }
  & .team-lead-card:after {
    position: absolute;
    content: url('../../images/icons/team-lead.svg');
    width: 42px;
    height: 36px;
    right: -11px;
    bottom: -6px;
  }
}


/* Alternating Style for Responsive Grid */
.views-view-responsive-grid__item:nth-child(odd) [data-component-id="kackaamin:team_member_card"] {
  &, & img {
    border-radius: 0 var(--content-height);
  }

  & .card-content-inner {
    margin-left: var(--content-height);
    margin-right: 24px;
  }
  & .team-lead-card {
    left: 30px;
  }
}

.views-view-responsive-grid__item:nth-child(even) [data-component-id="kackaamin:team_member_card"] {
  &, & img {
    border-radius: var(--content-height) 0;
  }

  & .card-content-inner {
    margin-left: 24px;
    margin-right: var(--content-height);
  }
  .team-lead-card {
    right: 30px;
  }  
}
